package com.cusc.nirvana.user.rnr.common.constants;

/**
 * Description: 实名常量
 * <br />
 * CreateDate 2022-03-03 10:16:26
 *
 * @author yuyi
 **/
public final class RnrConstants {

    /**
     * 本系统编码
     */

    public static final String LOCAL_CODE = "RNR_NOTIFIER";

    /**
     * 第三方服务类型
     */
    public static final String NOTIFI_OPTYP_RNR_SUCC = "RNR_SUCC";
    public static final String NOTIFI_OPTYP_RNR_FAIL = "RNR_FAIL";
    public static final String NOTIFI_OPTYP_RNR_BATCH_SUCC = "RNR_BATCH_SUCC";
    public static final String NOTIFI_OPTYP_RNR_BATCH_FAIL = "RNR_BATCH_FAIL";
    public static final String NOTIFI_OPTYP_CH_TBOX_SUCC = "CH_TBOX_SUCC";
    public static final String NOTIFI_OPTYP_CH_TBOX_FAIL = "CH_TBOX_FAIL";
    public static final String NOTIFI_OPTYP_UNBIND_SUCC = "UNBIND_SUCC";
    public static final String NOTIFI_OPTYP_UNBIND_FAIL = "UNBIND_FAIL";
    public static final String NOTIFI_OPTYP_UNBIND_BATCH_SUCC = "UNBIND_BATCH_SUCC";
    public static final String NOTIFI_OPTYP_REBIND_SUCC = "REBIND_SUCC";
    public static final String NOTIFI_OPTYP_REBIND_FAIL = "REBIND_FAIL";
    public static final String NOTIFI_OPTYP_BIND_SUCC = "BIND_SUCC";
    public static final String NOTIFI_OPTYP_BIND_FAIL = "BIND_FAIL";
    public static final String NOTIFI_OPTYP_RESALE_SUCC = "RESALE_SUCC";
    public static final String NOTIFI_OPTYP_RESALE_FAIL = "RESALE_FAIL";
    public static final String NOTIFI_OPTYP_RNR_OPER_SUCC = "RNR_OPER_SUCC";
    public static final String NOTIFI_OPTYP_RNR_OPER_FAIL = "RNR_OPER_FAIL";
    public static final String NOTIFI_OPTYP_RNR_WAIT_AUDIT = "RNR_WAIT_AUDIT";
    public static final String NOTIFI_OPTYP_RNR_AUDIT_SUCC = "RNR_AUDIT_SUCC";
    public static final String NOTIFI_OPTYP_RNR_AUDIT_FAIL = "RNR_AUDIT_FAIL";
    public static final String NOTIFI_OPTYP_RNR_TIME_OUT_FAIL = "RNR_TIME_OUT_FAIL";
    public static final String NOTIFI_OPTYP_RNR_ABOX_SUCC = "RNR_ABOX_SUCC";
    public static final String NOTIFI_OPTYP_RNR_TBOX_SUCC = "RNR_TBOX_SUCC";
    public static final String NOTIFI_OPTYP_RNR_ABOX_FAIL = "RNR_ABOX_FAIL";
    public static final String NOTIFI_OPTYP_RNR_TBOX_FAIL = "RNR_TBOX_FAIL";
    public static final String NOTIFI_OPTYP_RNR_WAIT_CHECK = "RNR_WAIT_CHECK";
    public static final String NOTIFI_OPTYP_RNR_CH_CUSTOMERINFO_SUCC = "CH_CUSTOMERINFO_SUCC";
    public static final String NOTIFI_ADMIN_ORDER_WARN = "ADMIN_ORDER_WARN";
    public static final String NOTIFI_ORDER_TIMEOUT_WARN = "ORDER_TIMEOUT_WARN";
    public static final String NOTIFI_OPTYP_BATCH_SYNC_ECS = "RNR_BATCH_SYNC_ECS";
    public static final String VEHICLE_CARD_BATCH_SUCC = "VEHICLE_CARD_BATCH_SUCC";
    public static final String AUTHENTICATION_AUTO = "V0001";
    public static final String AUTHENTICATION_PERSON = "V0002";

    /**
     * 认证状态
     */
    public static final int RNR_STATUS_NOT_EXIST = -1;
    public static final int RNR_STATUS_NO_APPLICATION = 0;// 未申请
    public static final int RNR_STATUS_WAIT_CHECK = 1;// 认证中
    public static final int RNR_STATUS_CHECK_ACCESS = 2;// 审核通过、绑定状态
    public static final int RNR_STATUS_CHECK_FAIL = 3;// 未通过
    public static final int RNR_STATUS_UNBINDING = 4;// 解绑状态
    public static final int RNR_STATUS_NOT_BINDING = 5;// 未绑定状态，预先载入数据库时的状态
    public static final int RNR_STATUS_WAIT_MANUAL_CHECK = 6;// 人工审核状态

    /**
     * ICCID匹配状态
     */
    public static final int ICCID_NOT_EXIST = 9;// 未查到该iccid信息
    public static final int ICCID_MSISDN_NOT_MATCH = 10;// iccid与msisdn不匹配
    public static final int ICCID_OR_MSISDN_NULL = 11;// 参数不合法

    /**
     * 解绑理由
     */
    public static final int UNBIND_REASON_SCRAP = 1;// 报废
    public static final int UNBIND_REASON_TRANSFER = 2;// 过户
    public static final int UNBIND_REASON_SECOND_HAND_SALE = 3;// 二手车交易
    public static final int UNBIND_REASON_OTHER = 9;// 其他

    /**
     * 品牌类型
     */
    public static final String BRAND_TYPE_VEHICLE = "BRANDCAR";
    public static final String BRAND_TYPE_DEVICE = "BRANDDEVICE";

    /**
     * 个人实名认证状态
     */
    public static final int PERSON_RNR_STATUS_FAIL = 0;
    public static final int PERSON_RNR_STATUS_ACCESS = 1;

    /**
     * 实名认证人的类型
     */
    public static final int RNR_TYPE_PERSONAL = 0;
    public static final int RNR_TYPE_ENTERPRISE = 1;

    /**
     * AOP 调用响应结果码
     */
    public static final int AOP_CODE_NOT_SIMILAR = 1;
    public static final int AOP_CODE_SIMILAR = 0;
    public static final int AOP_CODE_ERROR = 2;
    public static final int AOP_CODE_IMG_ERROR = 4;

    /**
     * 国政通 调用响应结果码
     */
    public static final String GZT_CODE_SUCCESS = "0";
    public static final String GZT_CODE_COMP_SUCCESS = "3";

    /**
     * 工单认证类型
     */
    public static final int ORDER_AUDIT_TYPE_AUTO = 0;
    public static final int ORDER_AUDIT_TYPE_MANUL = 1;

    /**
     * 工单是否属于批量工单
     */
    public static final int ORDER_SINGLE = 0;
    public static final int ORDER_BATCH = 1;

    /**
     * 批量接口一次最多接受条数
     */
    public static final int BATCH_MAX_NUM = 200;
    public static final int BATCH_ICCID_MAX_NUM = 50;

    /**
     * 失败重试次数
     */
    public static final int FAIL_RETRY_NUM = 3;
    /**
     * 参数长度
     */
    public static final int PARAM_LENGTH_VIN = 17;
    public static final int PARAM_LENGTH_OLD_VIN = 7;
    public static final int PARAM_LENGTH_ICCID = 20;
    public static final int PARAM_LENGTH_IMSI = 15;
    public static final int PARAM_LENGTH_MSISDN = 15;
    public static final int PARAM_LENGTH_IMEI_MIN = 15;
    public static final int PARAM_LENGTH_IMEI_MAX = 17;
    public static final int PARAM_LENGTH_DEVICEID = 48;// 设备号长度
    public static final int PARAM_LENGTH_PHONENUM = 11;// 手机号长度
    public static final int PARAM_LENGTH_EMAIL = 40;// 邮箱长度
    public static final int PARAM_LENGTH_CERTTYPE = 15;// 证件类型长度
    public static final int PARAM_LENGTH_USERNAME = 30;// 用户名长度
    public static final int PARAM_LENGTH_OWNERCONTACT = 100;// 联系地址长度
    public static final int PARAM_LENGTH_LICENSECODE = 18;// 企业证件号长度
    public static final int PARAM_LENGTH_COMNAME = 50;// 企业名称长度
    public static final int PARAM_LENGTH_COMTYPE = 1;// 企业类型
    public static final int PARAM_LENGTH_COMADDRESS = 100;// 企业地址长度
    public static final int PARAM_LENGTH_INDUSTRY_TYPE = 5;// 行业类型长度

    /**
     * 性别
     */
    public static final String GENDER_FEMALE = "0";
    public static final String GENDER_MALE = "1";
    public static final String GENDER_FEMALE_STR = "F";
    public static final String GENDER_MALE_STR = "M";
    /**
     * 字典code
     */
    public static final String DICTIONARY_CODE_UNIVERSAL_CAPTCHA = "UniversalCaptcha";// 万能验证码手机号
    public static final String DICTIONARY_CODE_SHOW_ENTERPRISE = "ShowEnterprise";// 是否展示企业注册
    public static final String DICTIONARY_CODE_CARM_NO = "CarmNo";// 是否展示企业注册
    public static final String DICTIONARY_CODE_NO_RETRY_SYS = "NoRetrySys";

    /**
     * 配置项路径
     */
    public static final String CONFIG_PATH_TESLA_LICENSECODE = "cusc.rnr.tesla.licenseCode";
    public static final String CONFIG_PATH_TESLA_CUSTOM_SWITCH = "cusc.rnr.tesla.customeTaskSwitch";
    public static final String CONFIG_PATH_TESLA_NEW_TASK_SWITCH = "cusc.rnr.tesla.newTaskSwitch";
    public static final String CONFIG_PATH_IS_VERIFY_ICCID = "cusc.rnr.h5.isVerifyIccid";
    public static final String CONFIG_PATH_IS_VERIFY_GENERIC_ICCID = "cusc.rnr.h5.isVerifyGenericIccid";
    public static final String CONFIG_PATH_TENCENT_WH5_LIVE = "cusc.rnr.h5.tencentLive.wh5";
    public static final String CONFIG_PATH_TENCENT_H5_LIVE_SIGN_CHECK = "cusc.rnr.h5.tencentLive.liveResultCheckSign";
    public static final String CONFIG_PATH_IS_CHECK_DAIMLER_VIN = "cusc.rnr.portal.isVerifyVin";
    public static final String CONFIG_PATH_MAIL_RETRY_BASE_URL = "cusc.rnr.notify.retryUrl";
    public static final String CONFIG_PATH_TENCENT_H5_LIVE_KEY_TIME = "cusc.rnr.h5.tencentLive.liveKeyOverTime";

    /**
     * 模拟配置项路径
     */
    public static final String CONFIG_PATH_SERVICE_MOCK_OCR = "cusc.rnr.service.mock.OCR";
    public static final String CONFIG_PATH_SERVICE_MOCK_FMP = "cusc.rnr.service.mock.FMP";
    public static final String CONFIG_PATH_SERVICE_MOCK_IDC = "cusc.rnr.service.mock.IDC";
    public static final String CONFIG_PATH_SERVICE_PHONE_CHECK = "cusc.rnr.service.isVerifyPhone";
    public static final String CONFIG_PATH_SERVICE_PHONE_LIMIT_NUM = "cusc.rnr.service.phoneLimitNum";
    public static final String CONFIG_PATH_SERVICE_PHONE_REG_PATTERN = "cusc.rnr.service.regPatternPhone";
    public static final String CONFIG_PATH_SERVICE_VEDIO_MAXSIZE = "cusc.rnr.service.vedio.maxsize";

    public static final String CONFIG_PATH_SERVICE_ENCRYPTION = "cusc.rnr.service.encryption";
    public static final String CONFIG_PATH_SERVICE_ENCRYPTION_RSP = "cusc.rnr.service.encryptionRsp";
    public static final String CONFIG_PATH_SERVICE_SMS = "cusc.rnr.service.sendSmsChoose";
    public static final String CONFIG_PATH_SERVICE_SIM_NUM = "cusc.rnr.service.simNum";
    public static final String CONFIG_PATH_SERVICE_H5_TOKEN = "cusc.rnr.service.h5.token";
    /**
     * 自动审核相关服务的配置项父类路径
     */
    public static final String CONFIG_PATH_EXECUTOR = "cusc.rnr.executor";
    public static final String CONFIG_PATH_ID_CMPR_SIMILAR = "cusc.rnr.thirdparty.compareSimilar";
    /**
     * 自动审核相关服务的特殊错误码配置项父类路径
     */
    public static final String CONFIG_PATH_EXECUTOR_ERRORCODE = "cusc.rnr.errorcode";

    public static final String MAIL_USERNAME_PATH = "cusc.rnr.mail.username";
    /**
     * 邮件密码
     */
    public static final String MAIL_PASSWORD_PATH = "cusc.rnr.mail.password";
    /**
     * 邮件主机地址
     */
    public static final String MAIL_HOST_PATH = "cusc.rnr.mail.host";
    /**
     * 邮件主机端口
     */
    public static final String MAIL_PORT_PATH = "cusc.rnr.mail.port";
    /**
     * 邮件主题
     */
    public static final String MAIL_PORT_SUBJECT = "cusc.rnr.mail.subject";
    /**
     * 特斯拉配置
     */
    public static final String TESLA_CFG_PATH = "cusc.rnr.import.tesla";

    /**
     * 推送物联网时间路径
     */
    public static final String CONFIG_PATH_IOT_FSTP_TIME = "cusc.rnr.iot.fstptime";
    /**
     * 推送物联网忽略的省份卡品牌
     */
    public static final String CONFIG_PATH_IOT_PROVINCE_SIM = "cusc.rnr.iot.provinceSim";
    /**
     * 推送物联网多线程数批量查询数据
     */
    public static final String CONFIG_PATH_SERVICE_LIMIT_NUM_NJWLW = "cusc.rnr.iot.limitNum";


    /**
     * save rnr_customer_info 到rnr_customer_addr_extra limit size
     */
    public static final String CONFIG_PATH_SERVICE_LIMIT_SIZE_TO_ADDR_EXTRA = "cusc.rnr.idcard.saveLimitSize";

    /**
     * save rnr_customer_info 到rnr_customer_addr_extra limit size
     */
    public static final String CONFIG_PATH_SERVICE_LIMIT_SIZE_OCR_IDENTIFY = "cusc.rnr.idcard.ocrLimitSize";


    /**
     * nr_customer_addr_extra 处理线程
     */
    public static final String CONFIG_PATH_SERVIE_IDCARD_OCR_IDENTIFY_THREAD_NUM = "cusc.rnr.idcard.processThreadNum";

    /**
     * 推送物联网多线程数批量查询数据
     */
    public static final String CONFIG_PATH_SERVICE_LIMIT_NUM_EXIST_LIMIT = "cusc.rnr.iot.existLimitNum";

    /**
     * 推送物联网默认用户照片信息ID
     */
    public static final String CONFIG_PATH_SERVICE_CUSTOMER_INFO_ID = "cusc.rnr.iot.userId";


    /**
     * 推送物联网多线程数
     */
    public static final String CONFIG_PATH_IOT_THREAD_NUM = "cusc.rnr.iot.threadNum";
    /**
     * 推送物联网多线程数（存量）
     */
    public static final String CONFIG_PATH_IOT_EXIST_THREAD_NUM = "cusc.rnr.iot.existThreadNum";

    /**
     * 推送物联网失败次数配置
     */
    public static final String CONFIG_PATH_IOT_FAIL_COUNT = "cusc.rnr.iot.failCount";

    /**
     * 短信发送状态 成功
     */
    public static final int SMS_SEND_SUCCESS = 0;

    /**
     * 国政通信息头
     */
    public static final String GZT_PREFIX = "国政通：";

    /**
     * 名下手机卡限制数
     */
    public static final int SIM_NUM = 5;
    /**
     * （新）名下手机卡限制数
     */
    public static final int SIM_NUM_NEW = 10;

    /**
     * 南京物联网定时任务获取实时数据limit数量
     */
    public static final int LIMIT_NUM_NJWLW = 1000;

    /**
     * 南京物联网定时任务获取实时数据limit数量
     */
    public static final int CUSTOMER_ADDR_LIMIT_SIZE = 1000;

    /**
     * 推送南京物联网默认用户ID
     */
    public static final long DEFAULT_USER_ID = 27480991L;

    /**
     * 南京物联网定时任务获取线程数
     */
    public static final int LIMIT_NUM_THREAD = 5;

    /**
     * 使用mock
     */
    public static final String USER_MOCK = "1";


    /**
     * 不使用token检查
     */
    public static final String H5_NOT_TOKEN_CHECK = "0";

    /**
     * 使用加密
     */
    public static final String IS_ENCRYPTION = "1";

    /**
     * 不使用加密
     */
    public static final String IS_NOT_ENCRYPTIONRSP = "0";


    /**
     * 是否检查手机号
     */
    public static final String IS_CHECK_PHONE = "1";


    /**
     * 腾讯H5活体签名不验证
     */
    public static final String NOT_SIGN_CHECK = "0";

    /**
     * 身份证
     */
    public static final String IDCARD = "IDCARD";

    /**
     * 同步失败原因
     */
    public static final String SYNC_ERROR_VIN_ILLEGALITY = "VIN不合法";
    public static final String SYNC_ERROR_ICCID_ILLEGALITY = "ICCID不合法";
    public static final String SYNC_ERROR_BRAND_ILLEGALITY = "品牌不合法";
    public static final String SYNC_ERROR_HCJT_MODEL_NOT_NULL = "车型不能为空";
    public static final String SYNC_ERROR_HCJT_CARDTYPE_NOT_NULL = "卡类型不能为空";
    public static final String SYNC_ERROR_REPEAT_DATA = "重复数据";
    public static final String SYNC_ERROR_VIN_EXIST = "该VIN已存在";
    public static final String SYNC_ERROR_ICCID_EXIST = "该ICCID已存在";
    public static final String SYNC_ERROR_ICCID_HAS_REGISTER = "该ICCID已实名认证过，无法更新车卡关系";
    public static final String SYNC_ERROR_VIN_HAS_REGISTER = "该VIN已实名认证过，无法更新车卡关系";
    public static final String SYNC_ERROR_VIN_BIND_OTHER_ICCID = "该VIN已绑定其他卡";
    public static final String SYNC_ERROR_ICCID_BIND_OTHER_VIN = "该ICCID已绑定其他车";
    public static final String SYNC_UNSUPPORTED_CHANGETBOX = "车卡同步不支持车机更换";
    public static final String SYNC_ERROR_CHANGANAUCHANXNY_SERIES_NOT_NULL = "车系不能为空";
    public static final String SYNC_ERROR_CHANGANAUCHANXNY_SERIES_ILLEGALITY = "车系数据不合法";
    public static final String SYNC_ERROR_CHANGANAUCHANXNY_MODEL_NOT_NULL = "车型不能为空";
    public static final String SYNC_ERROR_CHANGANAUCHANXNY_MODEL_ILLEGALITY = "车型数据不合法";

    /**
     * 戴姆勒全量报表压缩包名
     */
    public static final String BENZ_FULL_REPORT_NAME = "fullReport.zip";
    public static final String BENZ_FULL_REPORT_LOCK = "BENZ_FULL_REPORT_LOCK";
    public static final String BENZ_FULL_REPORT_URL_KEY = "BENZ_FULL_REPORT_URL_KEY";

    /**
     * 卡类型
     */
    public static final String CARD_TYPE_ABOX = "A-box";
    public static final String CARD_TYPE_TBOX = "T-box";
    public static final String CARD_TYPE_BAIDU = "baidu-card";
    public static final String CARD_TYPE_FORD = "ford-card";

    /**
     * 默认工单审核时间
     */
    public static final String DEFAULT_AUDIT_TIME = "4";

    /**
     * 30天毫秒
     */
    public static final long ONE_MONTH = 2592000000L;
    /**
     * 工单自动分配配置路径
     */
    public static final String AUTO_ALLOCATE_CONFIG_PATH = "cusc.rnr.admin.autoAllocateConfig";

    /**
     * 工单超时预警基础信息配置路径
     */
    public static final String TIMEOUT_WARNING_BASE_CONFIG_PATH = "cusc.rnr.admin.timeoutWarning.base";

    /**
     * 工单超时预警配置父路径
     */
    public static final String TIMEOUT_WARNING_PARENT_PATH = "cusc.rnr.admin.timeoutWarning";

    /**
     * 工单超时预警配置路径
     */
    public static final String TIMEOUT_WARNING_CONFIG_PATH = "cusc.rnr.admin.timeoutWarning.brand";

    /**
     * 操作员队列redis key
     */
    public static final String OPERATOR_QUEEU_REDIS_KEY = "cusc-rnr:ORDER_AUTO_ALLOCATE:OPERATOR_QUEUE";

    /**
     * 操作员队列索引redis key
     */
    public static final String OPERATOR_INDEX_REDIS_KEY = "cusc-rnr:ORDER_AUTO_ALLOCATE:OPERATOR_INDEX";

    /**
     * 通过URL重试日志的redis key
     */
    public static final String URL_RETRY_LOG_NAMESPACE = "RETRY_LOG:";

    /**
     * 第三方信息，remark字段中jasper信息所需字段名
     */
    public static final String TP_REMARK_JASPER_EVENTPLAN_ACTIVE = "activeEventPlan";
    public static final String TP_REMARK_JASPER_EVENTPLAN_DEACTIVE = "deactiveEventPlan";
    public static final String TP_REMARK_JASPER_NETWORKACCESS_ACTIVE = "activeNetworkAccess";
    public static final String TP_REMARK_JASPER_NETWORKACCESS_DEACTIVE = "deactiveNetworkAccess";
    public static final String TP_REMARK_JASPER_NETWORKACCESS_ACTIVE_UNBIND = "activeNetworkAccessUnBind";
    public static final String TP_REMARK_JASPER_NETWORKACCESS_DEACTIVE_UNBIND = "deactiveNetworkAccessUnBind";
    public static final String TP_REMARK_JASPER_CHANGETYPE_ACTIVE = "activeChangeType";
    public static final String TP_REMARK_JASPER_CHANGETYPE_DEACTIVE = "deactiveChangeType";
    public static final String TP_REMARK_JASPER_TARGETVALUE_ACTIVE = "activeTargetValue";
    public static final String TP_REMARK_JASPER_TARGETVALUE_DEACTIVE = "deactiveTargetValue";

    /**
     * 第三方日志表名
     */
    public static final String TABLE_NAME_GZT = "rnr_thirdparty_gzt_log";
    public static final String TABLE_NAME_AOP = "rnr_thirdparty_aop_log";
    public static final String TABLE_NAME_OCR = "rnr_thirdparty_ocr_log";
    public static final String TABLE_NAME_ALL = "rnr_thirdparty_log";

    /**
     * 车机更换时的特殊key值
     */
    public static final String SPECIALKEY_BIND = "CH_TBOX_BIND";
    public static final String SPECIALKEY_UNBIND = "CH_TBOX_UNBIND";

    /**
     * 实名制平台对应的接口编码
     */
    public static final String IF_00 = "IF00";
    public static final String IF_01 = "IF01";
    public static final String IF_02 = "IF02";
    public static final String IF_03 = "IF03";
    public static final String IF_04 = "IF04";
    public static final String IF_05 = "IF05";
    public static final String IF_06 = "IF06";
    public static final String IF_07 = "IF07";
    public static final String IF_08 = "IF08";
    public static final String IF_09 = "IF09";
    public static final String IF_10 = "IF10";
    public static final String IF_11 = "IF11";
    public static final String IF_12 = "IF12";
    public static final String IF_13 = "IF13";
    public static final String IF_14 = "IF14";
    public static final String IF_15 = "IF15";
    public static final String IF_16 = "IF16";
    public static final String IF_17 = "IF17";

    /*
     *戴姆勒卡激活去激活标识
     */
    public static final String DAIMLER_ACTIVE = "active";
    public static final String DAIMLER_DEACTIVE = "deactice";
    public static final int DAIMLER_JASPER_FAIL_TIMES = 44;
    public static final String DAIMLER_RTM = "RTM";


    /*
     *活体检测证件类型
     */
    public static final String V_LIVE_IDENTITY_CARD = "3";

    /**
     * 品牌迁移校验
     */
    public static final String BRAND_CHANGE_CONFIG_PATH = "cusc.rnr.admin.datatranser";

    public static final String BRANDCHECK_SUCCESS = "校验通过";
    public static final String BRANDCHECK_FINAL_SUCCESS = "迁移成功";
    public static final String BRANDCHECK_FINAL_FAIL = "迁移失败";
    public static final String BRANDCHECK_ERROR_VIN = "VIN不合法";
    public static final String BRANDCHECK_ERROR_OLDICCID = "原始ICCID不合法";
    public static final String BRANDCHECK_ERROR_OLDBRADN = "原始品牌不合法";
    public static final String BRANDCHECK_ERROR_NOMATE = "数据不匹配";
    public static final String BRANDCHECK_ERROR_BRAND = "品牌更换规则不存在";
    public static final String BRANDCHECK_ERROR_NEWBRADN = "新品牌不合法";
    public static final String BRANDCHECK_ERROR_VEHICLE = "重复数据";
    public static final String BRANDCHECK_ERROR_NEWICCID = "新ICCID存在车卡关系";
    public static final String BRANDCHECK_ERROR_NEWICCID_RULES = "新ICCID不合法";
    public static final String BRANDCHECK_ERROR_NOT_EXIST = "数据不存在";
    public static final String BRANDCHECK_ERROR_WAIT_CHECK = "数据认证中";

    /**
     * 腾讯活体认证类型
     */
    public static final String RNR_WAIT_CHECK = "0";//活体认证中
    public static final String RNR_SUCC = "1";//活体认证成功
    public static final String RNR_FAIL = "2";//活体认证失败

    /**
     * 腾讯活体类型
     */
    public static final String RNR_TX_LIVE_TYPE_H5 = "H5";

    public static final String RNR_TX_LIVE_TYPE_WXH5 = "WH5";


    /**
     * 实名制平台对应的V数据同步字典数据类型
     */
    public static final String VENUS_LOOKUP_DATA_LIVETYPE = "VenusDataSyncLiveType";
    public static final String VENUS_LOOKUP_DATA_CHANNELTYPE = "VenusDataSyncChananelType";


    /**
     * token有效时长（单位：秒）
     */
    public static final int TOKEN_EXPIRED_TIME = 60 * 60 * 24 * 7;

    /**
     * token失效时长（单位：毫秒）
     */
    public static final long TOKEN_EXPIRED_TIME_MILL = TOKEN_EXPIRED_TIME * 1000L;
    public static final int CONFIG_IOT_FAIL_COUNT = 5;


    private static final String REDIS_NAMESPACE = "cusc-rnr-h5:";


    public static final String USER_TOKEN = REDIS_NAMESPACE + "user-token:";

    public static final String TOKEN_USER = REDIS_NAMESPACE + "token-user:";


    /**
     * 主键策略 用户信息KEY模式
     */
    public static final String USER_INFO = REDIS_NAMESPACE + "USERINFO:";

    public static final String TENCENT_SDK_LIVE_SUCCESS_CODE="0";

    /**
     * 远程服务路径
     */
    public static final String COUNT_USER_BY_MOBILE = "http://cusc-rbac-api/userInfo/countUserByMobile?mobile=";

    /**
     * AES解密k-v
     */
    public static final String AES_DECRYPT_KEY = "Qls$19Tsl9132Rsl";
    public static final String AES_DECRYPT_VALUE = "sldeR737&oshfE1w";
}
