package com.cusc.nirvana.user.rnr.mg.constants;

public enum PassCodeEnum {

    SUCCESS(0, "人工审核通过"),
    AUTO_SUCC(0, "自动审核通过"),
    INFO_INCOMPLETE(1, "证件信息不齐"),
    INFO_ATYPISM(2, "证件信息不一致"),
    INFO_NOT_FOUND(3, "查不到证件信息"),
    PIC_FORMAT_ERROR(4, "照片格式不正确"),
    PIC_BLURRING(5, "照片不清晰"),
    OTHER_REASON(6, "其他原因"),
    PIC_NOT_ACCESS(7, "照片识别未超过阈值！"),
    TIME_OUT_FAIL(8, "超过24小时未审核"),
    TIME_OUT_DEACTIVE_FAIL(8, "未审核通过，超过24小时去激活"),
    HAS_FALLBACK(9, "已回退"),
    CLOSED(10, "关闭审核"),
    UNBIND_SUCC(11, "解绑成功"),
    UNBIND_FAIL(12, "解绑失败"),
    VENUS_FAIL_13(13,"身份证人面像识别失败"),
    VENUS_FAIL_14(14,"身份证国徽像识别失败"),
    VENUS_FAIL_15(15,"手持身份证照片识别错误"),
    VENUS_FAIL_16(16,"身份证过期"),
    VENUS_FAIL_17(17,"人脸比对未通过"),
    VENUS_FAIL_18(18,"实名认证失败"),
    VENUS_FAIL_19(19,"企业信息审核未通过"),
    VENUS_FAIL_20(20,"授权书信息有误");



    private Integer code;
    private String comment;

    PassCodeEnum(Integer code, String comment) {
        this.code = code;
        this.comment = comment;
    }

    public Integer getCode() {
        return code;
    }

    public String getComment() {
        return comment;
    }

    public static PassCodeEnum get(Integer code) {
        if (code == 0) {
            return SUCCESS;
        }
        PassCodeEnum[] reasons = PassCodeEnum.values();
        for (int i = 0; i < reasons.length; i++) {
            if (reasons[i].getCode().equals(code)) {
                return reasons[i];
            }
        }
        return null;
    }
}
