package com.cusc.nirvana.user.rnr.mg.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrAuthenticationResultDTO;
import com.cusc.nirvana.user.rnr.mg.service.IMgRnrAuthenticationResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 实名认证结果(MgRnrAuthenticationResult)表控制层
 *
 * @author yuy336
 * @since 2022-05-19 17:36:05
 */
@RestController
@RequestMapping("/mgRnrAuthenticationResult")
public class MgRnrAuthenticationResultController {
    /**
     * 服务对象
     */
    @Autowired
    private IMgRnrAuthenticationResultService mgRnrAuthenticationResultService;


    /**
     * 通过主键查询单条数据
     *
     * @param bean 实体
     * @return 单条数据
     */
   @PostMapping("/getByUuid")
    public Response<MgRnrAuthenticationResultDTO> getByUuid(@RequestBody MgRnrAuthenticationResultDTO bean) {
        return Response.createSuccess(mgRnrAuthenticationResultService.getByUuid(bean));
    }
    
     /**
     * 通过主键查询单条数据
     *
     * @param bean 实体
     * @return 单条数据
     */
   @PostMapping("/queryByList")
    public Response<List<MgRnrAuthenticationResultDTO>> queryByList(@RequestBody MgRnrAuthenticationResultDTO bean) {
        return Response.createSuccess(mgRnrAuthenticationResultService.queryByList(bean));
    }

    /**
     * 新增数据
     *
     * @param bean 实体
     * @return 新增结果
     */
    @PostMapping("/add")
    public Response add(@RequestBody MgRnrAuthenticationResultDTO bean) {
       return Response.createSuccess(mgRnrAuthenticationResultService.insert(bean));
    }

    /**
     * 编辑数据
     *
     * @param bean 实体
     * @return 编辑结果
     */
    @PostMapping("/update")
    public Response update(@RequestBody MgRnrAuthenticationResultDTO bean) {
        return Response.createSuccess(mgRnrAuthenticationResultService.update(bean));
    }
}

