package com.cusc.nirvana.user.rnr.mg.controller;

import com.cusc.nirvana.common.loader.CollectionUtils;
import com.cusc.nirvana.common.result.BaseEnum;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.MgCardNoticeDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;
import com.cusc.nirvana.user.rnr.mg.dto.SurplusConfirmDto;
import com.cusc.nirvana.user.rnr.mg.service.IMgRnrCardNoticeService;
import com.cusc.nirvana.user.rnr.mg.service.IMgSurplusBindService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author yubo
 * @since 2022-05-03 15:38
 */
@Slf4j
@RestController
@RequestMapping("/rnr/surplusBind")
public class MgSurplusBindController {

    @Autowired
    IMgSurplusBindService surplusBindService;

    @Autowired
    //@Lazy
    private IMgRnrCardNoticeService cardNoticeService;


    /**
     * 保存实名关系
     *
     * @param bean 实体
     * @return 单条数据
     */
    @PostMapping("/saveRnrRelation")
    public Response<String> saveSurplusRnrRelation(@RequestBody RnrRelationDTO bean) {
        return Response.createSuccess(BaseEnum.SUCCESS.getMsg(), surplusBindService.saveRelation(bean));
    }

    /**
     * @param bean 实体
     * @return 单条数据
     */
    @PostMapping("/confirm")
    public Response<Boolean> surplusConfirm(@RequestBody SurplusConfirmDto bean) {
        surplusBindService.surplusConfirm(bean);
        return Response.createSuccess(true);
    }

    /**
     *  特殊业务发送mq
     */
    @PostMapping("/sendMQ")
    public Response sendMQ(@RequestBody List<MgCardNoticeDTO> beans) {
        //发送审核成功消息
        if(CollectionUtils.isNotEmpty(beans)){
            cardNoticeService.sendCardNotice(beans);
        }
        return Response.createSuccess("mq发送成功");
    }


}
