package com.cusc.nirvana.user.rnr.mg.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrUnbindDTO;
import com.cusc.nirvana.user.rnr.mg.dto.VehicleUnbindDTO;
import com.cusc.nirvana.user.rnr.mg.service.IRnrUnboundService;
import com.cusc.nirvana.user.rnr.mg.validation.group.SaveRelation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description: 实名解绑控制层
 * <br />
 * CreateDate 2022-04-12 16:55:48
 *
 * @author yuyi
 **/
@Slf4j
@RestController
@RequestMapping("/unbound")
public class RnrUnboundController {

    @Autowired
    private IRnrUnboundService rnrUnboundService;

    /**
     * 实名解绑
     *
     * @param bean 实体
     * @return 单条数据
     */
    @PostMapping("/rnrUnbound")
    public Response rnrUnbound(@RequestBody RnrUnbindDTO bean) {
        return rnrUnboundService.rnrUnbound(bean);
    }

    @PostMapping("/batchUnbound")
    public Response batchUnbound(@RequestBody VehicleUnbindDTO bean) {
        return rnrUnboundService.batchUnbound(bean);
    }

    @PostMapping("/secondHandUnBound")
    public Response secondHandUnBound(@RequestBody RnrRelationDTO bean) {
        return rnrUnboundService.secondHandUnBound(bean);
    }


}
