package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrAuthenticationResultPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrAuthenticationResultDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名认证结果(MgRnrAuthenticationResult)表服务接口
 *
 * @author yuy336
 * @since 2022-05-19 17:36:05
 */
@Mapper
public interface MgRnrAuthenticationResultConverter {

    MgRnrAuthenticationResultConverter INSTANCE = Mappers.getMapper(MgRnrAuthenticationResultConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrAuthenticationResultDTO poToDto(MgRnrAuthenticationResultPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrAuthenticationResultPO dtoToPo(MgRnrAuthenticationResultDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrAuthenticationResultDTO> poListToDtoList(List<MgRnrAuthenticationResultPO> list);
}
