package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrCardInfoPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgCardNoticeDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrUnbindDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * 实名卡信息(MgRnrCardInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-03-04 11:06:45
 */
@Mapper
public interface MgRnrCardInfoConverter {

    MgRnrCardInfoConverter INSTANCE = Mappers.getMapper(MgRnrCardInfoConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrCardInfoDTO poToDto(MgRnrCardInfoPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrCardInfoPO dtoToPo(MgRnrCardInfoDTO bean);

    MgCardNoticeDTO poToNoticeDTO(MgRnrCardInfoPO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrCardInfoDTO> poListToDtoList(List<MgRnrCardInfoPO> list);

    /**
     * 解绑DTO转消息DTO
     */
    MgCardNoticeDTO unboundDTOtoNoticeDTO(RnrUnbindDTO bean);

    /**
     * Description: iccid字符串集合转dto集合
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    default List<MgRnrCardInfoDTO> cardStrListToDtoList(List<String> cardStrList) {
        if (CollectionUtils.isEmpty(cardStrList)) {
            return null;
        }
        List<MgRnrCardInfoDTO> retList = new ArrayList<>();
        MgRnrCardInfoDTO cardDTO;
        for (String iccid : cardStrList) {
            cardDTO = new MgRnrCardInfoDTO();
            cardDTO.setIccid(iccid);
            retList.add(cardDTO);
        }
        return retList;
    }
}
