package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrCompanyInfoPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCompanyInfoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名公司信息表(MgRnrCompanyInfo)表服务接口
 *
 * @author yuy336
 * @since 2022-02-10 18:30:32
 */
@Mapper
public interface MgRnrCompanyInfoConverter {

    MgRnrCompanyInfoConverter INSTANCE = Mappers.getMapper(MgRnrCompanyInfoConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrCompanyInfoDTO poToDto(MgRnrCompanyInfoPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    MgRnrCompanyInfoPO dtoToPo(MgRnrCompanyInfoDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<MgRnrCompanyInfoDTO> poListToDtoList(List<MgRnrCompanyInfoPO> list);
}
