package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.OrgBusinessTagPO;
import com.cusc.nirvana.user.rnr.mg.dto.OrgBusinessTagDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface OrgBusinessTagConverter {

    OrgBusinessTagConverter INSTANCE = Mappers.getMapper(OrgBusinessTagConverter.class);

    /**
     * po 转 dto
     * @param tagPO
     * @return
     */
    OrgBusinessTagDTO poToDto(OrgBusinessTagPO tagPO);

    /**
     * dto 转 po
     * @param dto
     * @return
     */
    OrgBusinessTagPO dtoToPo(OrgBusinessTagDTO dto);

    /**
     * po列表转dto列表
     * @param pos
     * @return
     */
    List<OrgBusinessTagDTO> poListToDtoList(List<OrgBusinessTagPO> pos);

    /**
     * dto列表转po列表
     * @param dtos
     * @return
     */
    List<OrgBusinessTagPO> dtoListToPoList(List<OrgBusinessTagDTO> dtos);

}
