package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.OrgSimRelPO;
import com.cusc.nirvana.user.rnr.mg.dto.OrgSimRelDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface OrgSimRelConverter {

    OrgSimRelConverter INSTANCE = Mappers.getMapper(OrgSimRelConverter.class);

    /**
     * po 转 dto
     * @param po
     * @return
     */
    OrgSimRelDTO poToDto(OrgSimRelPO po);

    /**
     * dto 转 po
     * @param dto
     * @return
     */
    OrgSimRelPO dtoToPo(OrgSimRelDTO dto);

    /**
     * PO列表转DTO列表
     * @param pos
     * @return
     */
    List<OrgSimRelDTO> poListToDtoList(List<OrgSimRelPO> pos);

    /**
     * DTO列表转PO列表
     * @param dtos
     * @return
     */
    List<OrgSimRelPO> dtoListToPoList(List<OrgSimRelDTO> dtos);

}
