package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.RnrOrderOperationLogPO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderOperationLogDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 实名工单操作日志(MgRnrOrderOperationLog)表服务接口
 *
 * @author yuy336
 * @since 2022-03-04 10:07:54
 */
@Mapper
public interface RnrOrderOperationLogConverter {

    RnrOrderOperationLogConverter INSTANCE = Mappers.getMapper(RnrOrderOperationLogConverter.class);

    /**
     * Description: do 转 dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrOrderOperationLogDTO poToDto(RnrOrderOperationLogPO bean);

    /**
     * Description: dto 转 do
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    RnrOrderOperationLogPO dtoToPo(RnrOrderOperationLogDTO bean);

    /**
     * Description: do list 转 dto list
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    List<RnrOrderOperationLogDTO> poListToDtoList(List<RnrOrderOperationLogPO> list);
}
