package com.cusc.nirvana.user.rnr.mg.converter;

import com.cusc.nirvana.user.rnr.mg.dao.entity.SimFileHistoryPO;
import com.cusc.nirvana.user.rnr.mg.dto.SimFileHistoryDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface SimFileHistoryConverter {

    SimFileHistoryConverter INSTANCE = Mappers.getMapper(SimFileHistoryConverter.class);

    /**
     * po 转 dto
     * @param historyPO
     * @return
     */
    SimFileHistoryDTO poToDto(SimFileHistoryPO historyPO);

    /**
     * dto 转 po
     * @param historyDTO
     * @return
     */
    SimFileHistoryPO dtoToPo(SimFileHistoryDTO historyDTO);

    /**
     * PO列表转DTO列表
     * @param historyPOS
     * @return
     */
    List<SimFileHistoryDTO> poListToDtoList(List<SimFileHistoryPO> historyPOS);

    /**
     * DTO列表转PO列表
     * @param historyDTOS
     * @return
     */
    List<SimFileHistoryPO> dtoListToPoList(List<SimFileHistoryDTO> historyDTOS);
}
