package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.*;
import java.util.Date;

/**
 * 实名认证结果(MgRnrAuthenticationResult)实体类
 *
 * @author yuy336
 * @since 2022-05-19 17:36:05
 */
@TableName("mg_rnr_authentication_result")
@Data
public class MgRnrAuthenticationResultPO implements Serializable {

    private static final long serialVersionUID = -65641449031903781L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */    
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;

    /**
     * 主体类型: 1 本人 2 委托人
     */
    @TableField("subject_type")
    private Integer subjectType;
    
    /**
     * 实名业务主键
     */    
    @TableField("rnr_id")
    private String rnrId;
    
    /**
     * 实名工单id
     */    
    @TableField("order_id")
    private String orderId;
    
    /**
     * 认证方式类型
     */    
    @TableField("auth_way_type")
    private String authWayType;
    
    /**
     * 实名认证结果
     */    
    @TableField("auth_result")
    private String authResult;
    
    /**
     * 实名认证结果描述
     */    
    @TableField("auth_result_msg")
    private String authResultMsg;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 分表路由键
     */    
    @TableField("routing_key")
    private Long routingKey;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(value = "creator", updateStrategy = FieldStrategy.NEVER)
    private String creator;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

