package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import com.cusc.nirvana.user.rnr.mg.dao.handler.EncryptDataTypeHandler;
import lombok.Data;

/**
 * 实名公司信息表(MgRnrCompanyInfo)实体类
 *
 * @author yuy336
 * @since 2022-02-14 14:40:10
 */
@TableName(value = "mg_rnr_company_info", autoResultMap = true)
@Data
public class MgRnrCompanyInfoPO extends BaseRnrPO {

    private static final long serialVersionUID = 887782452412204241L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;

    /**
     * 实名业务主键
     */
    @TableField("rnr_id")
    private String rnrId;
    
    /**
     * 企业名称
     */
    @TableField(value = "company_name", typeHandler = EncryptDataTypeHandler.class)
    private String companyName;
    
    /**
     * 证件类型
     */    
    @TableField("company_cert_type")
    private String companyCertType;
    
    /**
     * 证件号码
     */
    @TableField(value = "company_cert_number", typeHandler = EncryptDataTypeHandler.class)
    private String companyCertNumber;
    
    /**
     * 证件地址
     */
    @TableField(value = "company_cert_address", typeHandler = EncryptDataTypeHandler.class)
    private String companyCertAddress;
    
    /**
     * 企业通讯地址
     */
    @TableField(value = "company_contact_address", typeHandler = EncryptDataTypeHandler.class)
    private String companyContactAddress;
    
    /**
     * 公司类型
     */    
    @TableField("company_type")
    private String companyType;
    
    /**
     * 产业类型
     */    
    @TableField("industry_type")
    private String industryType;

    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 分表路由键
     */    
    @TableField("routing_key")
    private Long routingKey;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;

	/**
	 * 是否车企实名 0 否 1是
	 */
	@TableField("is_vehicle_company")
    private Integer isVehicleCompany;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;
}

