package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 实名图片信息表(MgRnrImage0)实体类
 *
 * @author yuy336
 * @since 2022-01-26 13:49:12
 */
@TableName("mg_rnr_file")
@Data
public class MgRnrFilePO extends BaseRnrPO {

    private static final long serialVersionUID = 434448191538733615L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 实名业务主键
     */    
    @TableField("rnr_id")
    private String rnrId;

    /**
     * 企业id
     */
    @TableField("rnr_company_id")
    private String rnrCompanyId;

    /**
     * 联系人id
     */
    @TableField("liaison_id")
    private String liaisonId;

    /**
     * 文件类型：身份证正面，身份证反面，人脸图片
     */    
    @TableField("file_type")
    private Integer fileType;

    /**
     * 是否为企业
     */
    @TableField("is_company")
    private Integer isCompany;

    /**
     * 排序
     */
    @TableField("order_no")
    private Integer orderNo;
    
    /**
     * 文件系统id
     */    
    @TableField("file_system_id")
    private String fileSystemId;
    
    /**
     * 文件名称，包含文件格式后缀
     */    
    @TableField("file_name")
    private String fileName;
    
    /**
     * 分表路由键
     */    
    @TableField("routing_key")
    private Long routingKey;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;

}

