package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import com.cusc.nirvana.user.rnr.mg.dao.handler.EncryptDataTypeHandler;
import lombok.Data;

import java.util.Date;

/**
 * 实名信息表(MgRnrInfo)实体类
 *
 * @author yuy336
 * @since 2022-02-10 18:30:51
 */
@TableName(value = "mg_rnr_info", autoResultMap = true)
@Data
public class MgRnrInfoPO extends BaseRnrPO {

    private static final long serialVersionUID = -19680051464334596L;

    /**
     * 业务主键
     */
    @TableField("uuid")
    private String uuid;

    /**
     * 自然人姓名
     */
    @TableField(value = "full_name", typeHandler = EncryptDataTypeHandler.class)
    private String fullName;

    /**
     * 证件类型
     */
    @TableField("cert_type")
    private String certType;

    /**
     * 证件号
     */
    @TableField(value = "cert_number", typeHandler = EncryptDataTypeHandler.class)
    private String certNumber;

    /**
     * 证件地址
     */
    @TableField(value = "cert_address", typeHandler = EncryptDataTypeHandler.class)
    private String certAddress;

    /**
     * 证件生效时间
     */
    @TableField("effective_date")
    private Date effectiveDate;

    /**
     * 证件失效时间
     */
    @TableField("expired_date")
    private String expiredDate;

    /**
     * 发证机关
     */
    @TableField("issuing_authority")
    private String issuingAuthority;

    /**
     * 联系地址
     */
    @TableField(value = "contact_address", typeHandler = EncryptDataTypeHandler.class)
    private String contactAddress;

    /**
     * 手机号
     */
    @TableField(value = "phone", typeHandler = EncryptDataTypeHandler.class)
    private String phone;

    /**
     * 邮箱
     */
    @TableField(value = "email", typeHandler = EncryptDataTypeHandler.class)
    private String email;

    /**
     * 性别
     */
    @TableField("gender")
    private Integer gender;

    /**
     * 出生年月
     */
    @TableField("birthday")
    private Date birthday;

    /**
     * 民族
     */
    @TableField("nation")
    private String nation;

    /**
     * 国家
     */
    @TableField("country")
    private String country;

    /**
     * 证件唯一编码
     */
    @TableField("dn_code")
    private String dnCode;

    /**
     * 是否是委托实名 0 否   1 是
     */
    @TableField("is_trust")
    private Integer isTrust;

    /**
     * 是否是二手车实名 0 否   1 是
     */
    @TableField("is_second_hand_car")
    private Integer isSecondHandCar;

    /**
     * 是否为企业 0 不是 1  是
     */
    @TableField("is_company")
    private Integer isCompany;

    /**
     * 企业uuid
     */
    @TableField("rnr_company_id")
    private String rnrCompanyId;

    /**
     * 实名状态 0 未实名 （认证中） 1 已实名  2 实名失败
     */
    @TableField("rnr_status")
    private Integer rnrStatus;

    /**
     * 租户编号
     */
    @TableField("tenant_no")
    private String tenantNo;

    /**
     * C端用户id（ciam_user）
     */
    @TableField("user_id")
    private String userId;

    /**
     * 组织id
     */
    @TableField("org_id")
    private String orgId;

    /**
     * 分表路由键
     */
    @TableField("routing_key")
    private Long routingKey;

    /**
     * 最后一次操作人
     */
    @TableField("operator")
    private String operator;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;
}

