package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.*;
import java.util.Date;

/**
 * 实名操作日志，包含rnr_info_oplog(MgRnrOperationLog)实体类
 *
 * @author yuy336
 * @since 2022-03-04 15:07:41
 */
@TableName("mg_rnr_operation_log")
@Data
public class MgRnrOperationLogPO implements Serializable {

    private static final long serialVersionUID = -69946685982864993L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "creator", updateStrategy = FieldStrategy.NEVER)
    private String creator;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 业务数据主键
     */    
    @TableField("biz_uuid")
    private String bizUuid;
    
    /**
     * 操作描述
     */    
    @TableField("content")
    private String content;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 业务类型：1 info
     */    
    @TableField("biz_type")
    private Integer bizType;
    
    /**
     * 操作类型
     */    
    @TableField("opt_type")
    private Integer optType;
    
    /**
     * 具体操作
     */    
    @TableField("opt_sub_type")
    private Integer optSubType;
    
    /**
     * 操作时间
     */    
    @TableField("opt_time")
    private Date optTime;
    
    /**
     * 理由（失败或解绑）
     */    
    @TableField("reason")
    private Integer reason;
    
    /**
     * 来源
     */    
    @TableField("source")
    private String source;
    
    /**
     * 第三方流水号
     */    
    @TableField("serial_number")
    private String serialNumber;


    /**
     * 是否是批量订单
     */
    @TableField("is_batch_order")
    private Integer isBatchOrder;
}

