package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 消息模板配置(RnrNoticeTemplateConfig)实体类
 *
 * @author yuy336
 * @since 2022-06-01 11:07:09
 */
@TableName("rnr_notice_template_config")
@Data
public class RnrNoticeTemplateConfigPO extends BaseRnrPO {

    private static final long serialVersionUID = 333304353391717042L;

    /**
     * 业务主键
     */
    @TableField("uuid")
    private String uuid;
    
    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */    
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;
    
    /**
     * 通知方式：短信、邮箱、webhook
     */    
    @TableField("notice_way")
    private Integer noticeWay;
    
    /**
     * 标签code
     */    
    @TableField("tagCode")
    private String tagcode;
    
    /**
     * 模板编号
     */    
    @TableField("template_code")
    private String templateCode;
    
    /**
     * 模板内容
     */    
    @TableField("template_content")
    private String templateContent;
    
    /**
     * 语言版本
     */    
    @TableField("lang")
    private String lang;
    
    /**
     * 组织id
     */    
    @TableField("org_id")
    private String orgId;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

