package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.*;
import java.util.Date;

/**
 * 实名工单操作日志(RnrOrderOperationLog)实体类
 *
 * @author yuy336
 * @since 2022-03-04 10:07:53
 */
@TableName("rnr_order_operation_log")
@Data
public class RnrOrderOperationLogPO implements Serializable {

    private static final long serialVersionUID = -48389443075527840L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "creator", updateStrategy = FieldStrategy.NEVER)
    private String creator;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 工单uuid
     */    
    @TableField("order_id")
    private String orderId;
    
    /**
     * 实名id
     */    
    @TableField("rnr_id")
    private String rnrId;
    
    /**
     * 操作类型
     */    
    @TableField("opt_type")
    private Integer optType;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 更新内容
     */    
    @TableField("updated_content")
    private String updatedContent;
    
    /**
     * 操作时间
     */    
    @TableField("opt_time")
    private Date optTime;
    
    /**
     * 更新码
     */    
    @TableField("updated_code")
    private Long updatedCode;
}

