package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 实名工单信息(RnrOrder)实体类
 *
 * @author yuy336
 * @since 2022-01-26 13:49:52
 */
@TableName("rnr_order")
@Data
public class RnrOrderPO extends BaseRnrPO {

    private static final long serialVersionUID = -20240993652689774L;

    /**
     * 业务主键
     */
    @TableField("uuid")
    private String uuid;

    /**
     * 工单类型
     */
    @TableField("order_type")
    private Integer orderType;

    /**
     * 实名id
     */
    @TableField("rnr_id")
    private String rnrId;

    /**
     * 审核类型,0为自动,1为手动
     */
    @TableField("audit_type")
    private Integer auditType;

    /**
     * 工单来源
     */
    @TableField("order_source")
    private String orderSource;

    /**
     * 工单状态 0 待分派/认领，1 待审核，2 审核通过，3 未通过，4  已分配，5 已认领，6 解绑成功，7 解绑失败，8 重绑成功，9 超过24小时关卡;  具体枚举值参考：OrderStatus
     */
    @TableField("order_status")
    private Integer orderStatus;

    /**
     * 是否批量订单，参考枚举：ORDER_BATCH。0 不是，1是
     */
    @TableField("is_batch_order")
    private Integer isBatchOrder;

    /**
     * 三方系统流水号
     */
    @TableField("serial_number")
    private String serialNumber;

    /**
     * 审批编号，工单系统流水号
     */
    @TableField("approval_no")
    private String approvalNo;

    /**
     * 分派时间
     */
    @TableField("allocate_time")
    private Date allocateTime;

    /**
     * 审核时间
     */
    @TableField("audit_time")
    private Date auditTime;

    /**
     * 最终审批时间
     */
    @TableField("final_approve_time")
    private Date finalApproveTime;

    /**
     * 更新码
     */
    @TableField("updated_code")
    private Integer updatedCode;

    /**
     * 评审意见
     */
    @TableField("verify_comments")
    private String verifyComments;

    /**
     * 备注信息
     */
    @TableField("comment")
    private String comment;

    /**
     * 业务区分
     */
    @TableField("channel_id")
    private String channelId;

    /**
     * 租户编号
     */
    @TableField("tenant_no")
    private String tenantNo;

    /**
     * 分表路由键
     */
    @TableField("routing_key")
    private Long routingKey;

    /**
     * 组织id
     */
    @TableField("org_id")
    private String orgId;

    /**
     * 最后一次操作人
     */
    @TableField("operator")
    private String operator;

    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */
    @TableField("rnr_bizz_type")
    private Integer rnrBizzType;


	/**
	 * 审核人
	 */
	@TableField("review_user_id")
	private String reviewUserId;

}

