package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrAuthenticationResultPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrAuthenticationResultDTO;

import java.util.List;

/**
 * 实名认证结果(MgRnrAuthenticationResult)表服务接口
 *
 * @author yuy336
 * @since 2022-05-19 17:36:05
 */
public interface IMgRnrAuthenticationResultService extends IService<MgRnrAuthenticationResultPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgRnrAuthenticationResultDTO getByUuid(MgRnrAuthenticationResultDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgRnrAuthenticationResultDTO> queryByList(MgRnrAuthenticationResultDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrAuthenticationResultDTO insert(MgRnrAuthenticationResultDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrAuthenticationResultDTO update(MgRnrAuthenticationResultDTO bean);
}
