package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrCommonConfigPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCommonConfigDTO;

import java.util.List;

/**
 * 实名业务公共配置(MgRnrCommonConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-03-03 10:56:46
 */
public interface IMgRnrCommonConfigService extends IService<MgRnrCommonConfigPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgRnrCommonConfigDTO getByUuid(MgRnrCommonConfigDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgRnrCommonConfigDTO> queryByList(MgRnrCommonConfigDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrCommonConfigDTO insert(MgRnrCommonConfigDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrCommonConfigDTO update(MgRnrCommonConfigDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(MgRnrCommonConfigDTO bean);

    /**
     * 通过认证方式编号查询单条数据
     *
     * @param path
     * @return 实例对象
     */
    MgRnrCommonConfigDTO getByConfigPath(String path);

    /**
     * 通过认证方式编号查询单条数据
     *
     * @param parentPath
     * @return 实例对象
     */
    List<MgRnrCommonConfigDTO> getByConfigParentPath(String parentPath);

}
