package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrOperationLogPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrOperationLogDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * 实名操作日志，包含rnr_info_oplog(MgRnrOperationLog)表服务接口
 *
 * @author yuy336
 * @since 2022-03-04 15:07:42
 */
public interface IMgRnrOperationLogService extends IService<MgRnrOperationLogPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgRnrOperationLogDTO getByUuid(MgRnrOperationLogDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgRnrOperationLogDTO> queryByList(MgRnrOperationLogDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<MgRnrOperationLogDTO> queryByPage(MgRnrOperationLogDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrOperationLogDTO insert(MgRnrOperationLogDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrOperationLogDTO update(MgRnrOperationLogDTO bean);

    /**
     * Description: 批量新增实名日志信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    void addRnrOperationLogBatch(List<MgRnrOperationLogDTO> beanList);

    /**
     * Description: 批量新增实名日志信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    void addRnrOperationLogPOBatch(List<MgRnrOperationLogPO> beanList);
}
