package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrTagPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrTagDTO;

import java.util.List;

/**
 * 实名标签，可用于对数据权限查询(MgRnrTag15)表服务接口
 *
 * @author yuy336
 * @since 2022-01-26 13:50:09
 */
public interface IMgRnrTagService extends IService<MgRnrTagPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgRnrTagDTO getByUuid(MgRnrTagDTO bean);

    /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgRnrTagDTO> queryByList(MgRnrTagDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<MgRnrTagDTO> queryByPage(MgRnrTagDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrTagDTO insert(MgRnrTagDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgRnrTagDTO update(MgRnrTagDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(MgRnrTagDTO bean);

    /**
     * Description: 批量新增标签信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    Integer addRnrTagBatch(List<MgRnrTagPO> beanList);

    /**
     * Description: 批量新增标签信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    Integer addRnrTagFromRnrInfo(MgRnrInfoDTO info, List<MgRnrTagDTO> beanList);
}
