package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgTenantBizzConfigPO;
import com.cusc.nirvana.user.rnr.mg.dto.MgTenantBizzConfigDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * 租户业务配置(MgTenantBizzConfig)表服务接口
 *
 * @author yuy336
 * @since 2022-06-14 09:36:10
 */
public interface IMgTenantBizzConfigService extends IService<MgTenantBizzConfigPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    MgTenantBizzConfigDTO getByUuid(MgTenantBizzConfigDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<MgTenantBizzConfigDTO> queryByList(MgTenantBizzConfigDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<MgTenantBizzConfigDTO> queryByPage(MgTenantBizzConfigDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgTenantBizzConfigDTO insert(MgTenantBizzConfigDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    MgTenantBizzConfigDTO update(MgTenantBizzConfigDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(MgTenantBizzConfigDTO bean);

}
