package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.user.rnr.mg.dao.entity.OpenTenantRelationPO;
import com.cusc.nirvana.user.rnr.mg.dto.OpenTenantRelationDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import java.util.List;

/**
 * 开放平台租户和实名制租户映射关系表(OpenTenantRelation)表服务接口
 *
 * @author yuy336
 * @since 2022-06-15 20:03:28
 */
public interface IOpenTenantRelationService extends IService<OpenTenantRelationPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    OpenTenantRelationDTO getByUuid(OpenTenantRelationDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<OpenTenantRelationDTO> queryByList(OpenTenantRelationDTO bean);

    /**
     * 分页查询
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<OpenTenantRelationDTO> queryByPage(OpenTenantRelationDTO bean);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    OpenTenantRelationDTO insert(OpenTenantRelationDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    OpenTenantRelationDTO update(OpenTenantRelationDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(OpenTenantRelationDTO bean);

}
