package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dao.entity.OrgBusinessTagPO;
import com.cusc.nirvana.user.rnr.mg.dto.OrgBusinessTagDTO;

import java.util.List;

/**
 * 业务标签service服务接口
 */
public interface IOrgBusinessTagService extends IService<OrgBusinessTagPO> {

    /**
     * 根据业务uuid查询标签信息
     * @param uuid
     * @return
     */
    Response<OrgBusinessTagDTO> getByUuid(String uuid);

    /**
     * 根据租户和标签编码查询业务标签信息
     * @param tenantNo
     * @param tagCode
     * @return
     */
    Response<OrgBusinessTagDTO> getByTagCode(String tenantNo, String tagCode);

    /**
     * 新增标签
     * @param tagDTO
     * @return
     */
    Response<OrgBusinessTagDTO> insert(OrgBusinessTagDTO tagDTO);

    /**
     * 修改标签
     * @param tagDTO
     * @return
     */
    Response<OrgBusinessTagDTO> update(OrgBusinessTagDTO tagDTO);

    /**
     * 删除标签
     * @param uuid
     * @return
     */
    Response<Integer> remove(String uuid);

    /**
     * 查询标签信息列表
     * @param tenantNo
     * @param orgUuid
     * @return
     */
    Response<List<OrgBusinessTagDTO>> query(String tenantNo, String orgUuid);

}
