package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrUnbindDTO;
import com.cusc.nirvana.user.rnr.mg.dto.VehicleUnbindDTO;
import com.cusc.nirvana.user.rnr.mg.validation.group.SaveRelation;

/**
 * Description: 通用实名解绑service
 * <br />
 * CreateDate 2022-01-26 10:36:27
 *
 * @author yuyi
 **/
public interface IRnrUnboundService {

    /**
     * 通用实名解绑
     *
     * @param bean 参数体
     * @return
     */
    Response rnrUnbound(RnrUnbindDTO bean);

    /**
     * 车企批量解绑
     */
    Response batchUnbound(VehicleUnbindDTO bean);

    /**
     * 二手车解绑
     * @param bean
     * @return
     */
    Response secondHandUnBound(RnrRelationDTO bean);


	/**
	 * 检查是否需要解绑的车企的卡
	 * @param bean
	 */
	void checkUnBindVehicle(RnrRelationDTO bean);
}
