package com.cusc.nirvana.user.rnr.mg.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.mg.dao.entity.SimFileHistoryPO;
import com.cusc.nirvana.user.rnr.mg.dto.SimFileHistoryDTO;
import com.cusc.nirvana.user.rnr.mg.dto.SimFileHistoryQueryDTO;

/**
 * <p>
 *  Sim卡导入历史服务类
 * </p>
 *
 * @author auto-generator
 * @since 2021-11-02
 */
public interface ISimFileHistoryService extends IService<SimFileHistoryPO> {

    /**
     * 通过UUID查询单条数据
     * @param uuid
     * @return
     */
    SimFileHistoryDTO getByUuid(String uuid);

    /**
     * 查询SIM卡导入列表
     * @param queryDTO 查询对象
     * @return
     */
    PageResult<SimFileHistoryDTO> queryByPage(SimFileHistoryQueryDTO queryDTO);

    /**
     * 新增SIM卡导入历史信息
     * @param historyDTO
     * @return
     */
    SimFileHistoryDTO insert(SimFileHistoryDTO historyDTO);

    /**
     * 修改Sim卡导入历史信息
     * @param historyDTO
     * @return
     */
    SimFileHistoryDTO update(SimFileHistoryDTO historyDTO);

    /**
     * 删除指定数据
     * @param orgUuid 组织uuid
     * @param uuid    主键
     * @return
     */
    boolean deleteById(String orgUuid, String uuid);
}
