package com.cusc.nirvana.user.rnr.mg.util;

import java.util.ArrayList;
import java.util.List;

/**
 * Description: 实名mq工具类
 * <br />
 * CreateDate 2021-12-08 16:42
 *
 * @author yuy336
 **/
public class RnrMqUtil {

    /**
     * mq的超时时间
     */
    public final static int MQ_TIME_OUT = 3000;


    private static List<Integer> defaultLevel;

    /**
     * 默认层级值
     */
    private static int middleDefaultLevelValue = 300;
    /**
     * 默认层级数，由于延迟一般不超过5分钟，所以折中判断
     */
    private static int middleDefaultLevel = 9;

    static {
        defaultLevel = new ArrayList<>();
        defaultLevel.add(1);
        defaultLevel.add(5);
        defaultLevel.add(10);
        defaultLevel.add(30);
        defaultLevel.add(60);
        defaultLevel.add(120);
        defaultLevel.add(180);
        defaultLevel.add(240);
        defaultLevel.add(300);
        defaultLevel.add(360);
        defaultLevel.add(420);
        defaultLevel.add(480);
        defaultLevel.add(540);
        defaultLevel.add(600);
        defaultLevel.add(1200);
        defaultLevel.add(1800);
        defaultLevel.add(3600);
        defaultLevel.add(7200);
    }

    /**
     * Description: 通过索引获取数值
     * <br />
     * CreateDate 2022-03-08 14:34:46
     *
     * @author yuyi
     **/
    public static int getValue(Integer index) {
        return defaultLevel.get(index);
    }

    /**
     * Description: 通过描述获取级别
     * <br />
     * CreateDate 2022-03-08 14:37:43
     *
     * @author yuyi
     **/
    public static int getLevel(int second) {
        Integer level = null;
        if(second <= middleDefaultLevelValue){
            for (int i = middleDefaultLevel - 1; i >= 0; i--) {
                int diff = second - defaultLevel.get(i);
                if (diff >= 0) {
                    level = i;
                    break;
                }
            }
        }else{
            for (int i = defaultLevel.size() - 1; i >= middleDefaultLevel; i--) {
                int diff = second - defaultLevel.get(i);
                if (diff >= 0) {
                    level = i;
                    break;
                }
            }
        }
        return level + 1;
    }
}
