package com.cusc.nirvana.user.rnr.mg.util;

import cn.hutool.crypto.SmUtil;
import cn.hutool.crypto.symmetric.SymmetricCrypto;
import com.alibaba.fastjson.JSON;
import com.cusc.nirvana.user.rnr.mg.util.crypt.Sm4Demo;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/SM4")
public class SM4Test {
    private static final  String key = "89c0Cusc268f5A51";
    @PostMapping("")
    public String SM4(@RequestBody Sm4Demo demo) {
        String text = "0 加密 1 解密";
        Integer type = demo.getType();
        String value = demo.getValue();
        SymmetricCrypto sm4 = SmUtil.sm4(key.getBytes());
        if(0==type){
            text = sm4.encryptBase64(value);
            log.info("{},加密,{}",value, text );
        }else if (1 == type){
            text = sm4.decryptStr(value);
            log.info("{},解密,{}",value, text );
        }else{
            return text;
        }
        return text;
    }

    @PostMapping("/two")
    public String SM4Two(@RequestBody Sm4Demo demo) {
        String text = "0 加密 1 解密";
        List<Sm4Demo.Sm4DemoDeatail> selectList = demo.getDetailList();
        SymmetricCrypto sm4 = SmUtil.sm4(key.getBytes());
        for (Sm4Demo.Sm4DemoDeatail detailBean : selectList) {
            if (!StringUtils.isEmpty(detailBean.getDecryptStr())) {
                text = sm4.encryptBase64(detailBean.getDecryptStr());
                detailBean.setEncryptStr(text);
                log.info("{},加密,{}", detailBean.getDecryptStr(), detailBean.getEncryptStr());
            } else if (!StringUtils.isEmpty(detailBean.getEncryptStr())) {
                text = sm4.decryptStr(detailBean.getEncryptStr());
                detailBean.setDecryptStr(text);
                log.info("{},解密,{}", detailBean.getEncryptStr(), detailBean.getDecryptStr());
            }
        }
        return JSON.toJSONString(demo);
    }

    public static void main(String[] args) {
        Sm4Demo sm4Demo = new Sm4Demo();
        sm4Demo.setType(1);
        List<Sm4Demo.Sm4DemoDeatail> selectList = new ArrayList<>();
        Sm4Demo.Sm4DemoDeatail sm4DemoDeatail = new Sm4Demo.Sm4DemoDeatail();
        sm4DemoDeatail.setEncryptStr("UkGq7K7w449fvfJO8d0RUrh6pr6Bw0tDzYgpcxQGAcY=");
        selectList.add(sm4DemoDeatail);
        sm4DemoDeatail = new Sm4Demo.Sm4DemoDeatail();
        sm4DemoDeatail.setEncryptStr("I4sDTLoGF4qMV49gFYCHTOHxn7BzKYkeGIFVDLsUhwU=");
        selectList.add(sm4DemoDeatail);
        sm4DemoDeatail = new Sm4Demo.Sm4DemoDeatail();
        sm4DemoDeatail.setDecryptStr("HYQ3D4D17JZ012225");
        selectList.add(sm4DemoDeatail);
        sm4DemoDeatail = new Sm4Demo.Sm4DemoDeatail();
        sm4DemoDeatail.setDecryptStr("HYQ3D4D17JZ012219");
        selectList.add(sm4DemoDeatail);
        sm4Demo.setDetailList(selectList);
        System.out.println(JSON.toJSONString(sm4Demo));

        SymmetricCrypto sm4 = SmUtil.sm4(key.getBytes());
        String text ="";
        for (Sm4Demo.Sm4DemoDeatail detailBean : selectList) {
            if(!StringUtils.isEmpty(detailBean.getDecryptStr())){
                text = sm4.encryptBase64(detailBean.getDecryptStr());
                detailBean.setEncryptStr(text);
                log.info("{},加密,{}", detailBean.getDecryptStr(), detailBean.getEncryptStr());
            }else if(!StringUtils.isEmpty(detailBean.getEncryptStr())){
                text = sm4.decryptStr(detailBean.getEncryptStr());
                detailBean.setDecryptStr(text);
                log.info("{},解密,{}", detailBean.getEncryptStr(), detailBean.getDecryptStr());
            }
        }

        System.out.println(JSON.toJSONString(sm4Demo));

    }
}
