package com.cusc.nirvana.user.rnr.notice.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 实名通知配置(同一个主体和状态支持多个通知方)(RnrNoticeConfig)实体类
 *
 * @author yuy336
 * @since 2022-03-31 15:04:50
 */
@TableName("rnr_notice_config")
@Data
public class RnrNoticeConfigPO extends BaseRnrPO {

    private static final long serialVersionUID = 876380460886385145L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;

    /**
     * 租户编号
     */
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 通知业务主体，统一运管为项目编号
     */    
    @TableField("notice_subject")
    private String noticeSubject;
    
    /**
     * 业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑
     */    
    @TableField("rnr_bizz_type")
    private String rnrBizzType;

    /**
     * URL 类型
     */
    @TableField("url_type")
    private Integer urlType;


    /**
     * URL
     */    
    @TableField("url")
    private String url;
    
    /**
     * 用户名
     */    
    @TableField("user_name")
    private String userName;
    
    /**
     * 密码
     */    
    @TableField("password")
    private String password;
    
    /**
     * 第三方服务特殊key，某些系统除了用户名和密码还需要一个key
     */    
    @TableField("license_key")
    private String licenseKey;

    /**
     * 是否签名
     */
    @TableField("is_sign")
    private Integer isSign;

    /**
     * 三方系统授权的appid
     */
    @TableField("app_id")
    private String appId;

    /**
     * 三方系统授权的appkey
     */
    @TableField("app_key")
    private String appKey;
    
    /**
     * 备注
     */    
    @TableField("remark")
    private String remark;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

