package com.cusc.nirvana.user.rnr.notice.dto;

import com.cusc.nirvana.user.rnr.mg.common.BaseRnrMgPageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 实名通知配置(同一个主体和状态支持多个通知方)(RnrNoticeConfig)传输对象类
 *
 * @author yuy336
 * @since 2022-03-31 15:04:53
 */
@ApiModel(value = "实名通知配置(同一个主体和状态支持多个通知方)", description = "实名通知配置(同一个主体和状态支持多个通知方)")
@Data
public class RnrNoticeConfigDTO extends BaseRnrMgPageDTO {

    private static final long serialVersionUID = 812014839600935383L;
    
    @ApiModelProperty(value = "通知业务主体，统一运管为项目编号")
    private String noticeSubject;

    @ApiModelProperty(value = "租户编码")
    private String tenantNo;
    
    @ApiModelProperty(value = "业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑")
    private Integer rnrBizzType;

    @ApiModelProperty(value = "URL类型")
    private Integer urlType;
    
    @ApiModelProperty(value = "URL")
    private String url;
    
    @ApiModelProperty(value = "用户名")
    private String userName;
    
    @ApiModelProperty(value = "密码")
    private String password;
    
    @ApiModelProperty(value = "第三方服务特殊key，某些系统除了用户名和密码还需要一个key")
    private String licenseKey;

    @ApiModelProperty(value = "是否签名")
    private Integer isSign;

    @ApiModelProperty(value = "三方系统授权的appid")
    private String appId;

    @ApiModelProperty(value = "三方系统授权的appkey")
    private String appKey;
    
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    
    @ApiModelProperty(value = "最后一次操作人")
    private String operator;
}

