package com.cusc.nirvana.user.rnr.notice.dto;

import com.cusc.nirvana.user.rnr.mg.common.BaseRnrMgPageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 实名通知内容(RnrNoticeContent)传输对象类
 *
 * @author yuy336
 * @since 2022-03-31 15:05:11
 */
@ApiModel(value = "实名通知内容", description = "实名通知内容")
@Data
public class RnrNoticeContentDTO  extends BaseRnrMgPageDTO {

    private static final long serialVersionUID = -57855867333314594L;

    @ApiModelProperty(value = "通知配置id")
    private String noticeConfigId;
    
    @ApiModelProperty(value = "通知业务主体")
    private String noticeSubject;
    
    @ApiModelProperty(value = "业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑")
    private Integer rnrBizzType;
    
    @ApiModelProperty(value = "通知内容")
    private String noticeContent;
    
    @ApiModelProperty(value = "通知状态")
    private Integer noticeStatus;
    
    @ApiModelProperty(value = "第几次通知")
    private Integer count;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "最后一次操作人")
    private String operator;

    @ApiModelProperty(value = "数据库主键")
    private Long id;

    @ApiModelProperty(value = "业务主键")
    private String uuid;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String creator;
}

