package com.cusc.nirvana.user.rnr.notice.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 实名通知内容日志(RnrNoticeContentLog)传输对象类
 *
 * @author yuy336
 * @since 2022-03-31 15:05:28
 */
@ApiModel(value = "实名通知内容日志", description = "实名通知内容日志")
@Data
public class RnrNoticeContentLogDTO extends RnrNoticeDTO {

    private static final long serialVersionUID = -20975877793614453L;
    
    @ApiModelProperty(value = "通知业务主体")
    private String noticeContentId;

    @ApiModelProperty(value = "业务类型：1 实名, 2 解绑, 3 换件,  4 信息变更,5 重绑")
    private Integer rnrBizzType;
    
    @ApiModelProperty(value = "链路id")
    private String traceId;
    
    @ApiModelProperty(value = "请求时间")
    private Date requestTime;
    
    @ApiModelProperty(value = "响应时间")
    private Date responseTime;
    
    @ApiModelProperty(value = "响应描述")
    private String responseMsg;
    
    @ApiModelProperty(value = "是否成功")
    private Integer isSuccess;
}

