package com.cusc.nirvana.user.rnr.notice.kafka;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.kafka.support.SendResult;
import org.springframework.lang.Nullable;
import org.springframework.util.concurrent.FailureCallback;
import org.springframework.util.concurrent.ListenableFuture;
import org.springframework.util.concurrent.SuccessCallback;
import org.springframework.web.bind.annotation.RequestParam;

@Configuration
@Slf4j
public class KafkaProduct {

    @Autowired
    private KafkaTemplate<String, String> kafkaTemplate;

    /**
     * 发送消息到kafka对应的topic
     *
     * @param topic
     * @param message
     */

    public boolean sendMessage(@RequestParam("topic") String topic
            , @RequestParam("message") String message) {
        try {
            ListenableFuture<SendResult<String, String>> send =
                    kafkaTemplate.send(topic, message);

            send.addCallback(success -> log.info("KafkaMessageProducer 发送消息成功！topic:{}, message:{}", topic, message),
                    fail -> log.error("KafkaMessageProducer 发送消息失败topic:{}, message:{}", topic, message));
            /*send.addCallback(new SuccessCallback() {
                @Override
                public void onSuccess(@Nullable Object obj) {
                    SendResult<String, String> sendResult = (SendResult) obj;
                    //...
                    log.info("消息发送成功:{}", sendResult);
                }

            }, new FailureCallback() {
                @Override
                public void onFailure(Throwable throwable) {
                    log.info("消息发送失败,case:{}", throwable);
                    //失败处理
                }
            });*/
            return true;
        } catch (Exception e) {
            return false;
        }

    }
}
