package com.cusc.nirvana.user.rnr.notice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.notice.dao.entity.RnrNoticeContentPO;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeContentDTO;
import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeReqDTO;

import java.util.List;

/**
 * 实名通知内容(RnrNoticeContent)表服务接口
 *
 * @author yuy336
 * @since 2022-03-31 15:05:11
 */
public interface IRnrNoticeContentService extends IService<RnrNoticeContentPO> {

    /**
     * 通过UUID查询单条数据
     *
     * @param bean
     * @return 实例对象
     */
    RnrNoticeContentDTO getByUuid(RnrNoticeContentDTO bean);
    
     /**
     * 通过查询条件查询集合数据
     *
     * @param bean
     * @return 集合对象
     */
    List<RnrNoticeContentDTO> queryByList(RnrNoticeContentDTO bean);

    /**
     * 分页查询
     * @param queryDTO
     * @return
     */
    PageResult<RnrNoticeContentDTO> queryByPage(RnrNoticeContentDTO queryDTO);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeContentDTO insert(RnrNoticeContentDTO bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    RnrNoticeContentDTO update(RnrNoticeContentDTO bean);

    /**
     * 通过主键删除数据
     *
     * @param bean
     * @return 是否成功
     */
    boolean deleteById(RnrNoticeContentDTO bean);


    /**
     * Description: 通知三方系统
     * <br />
     * CreateDate 2022-03-31 16:19:57
     *
     * @author yuyi
     **/
    boolean noticeThreePartySystem(RnrNoticeReqDTO bean);

    /**
     * Description: 通知三方系统重试
     * <br />
     * CreateDate 2022-03-31 16:19:57
     *
     * @author yuyi
     **/
    boolean noticeThreePartySystemRetry(RnrNoticeContentDTO bean);

}
