package com.cusc.nirvana.user.rnr.workorder.context;

import com.cusc.nirvana.user.rnr.workorder.constants.WorkOrderTypeEnum;
import com.cusc.nirvana.user.rnr.workorder.handler.WorkOrderCallBackHandler;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author stayAnd
 * @date 2022/3/31
 */
@Component
public class WorkOrderCallBackContext implements ApplicationContextAware,InitializingBean {

	private ApplicationContext context;



	private Map<String,WorkOrderCallBackHandler> workOrderCallBackHandlerMap;

	@Override
	public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
		this.context =  applicationContext;
	}


	public WorkOrderCallBackHandler getWorkBackHandler(String workOrderKey){
		//根据工单类型获取不同的工单回调处理业务类 workOrderCallBackHandlerMap
		WorkOrderTypeEnum workOrderTypeEnum = WorkOrderTypeEnum.getWorkOrderTypeByKey(workOrderKey);
		if (null != workOrderTypeEnum){
			return workOrderCallBackHandlerMap.get(workOrderTypeEnum.getWorkOrderCallBackServiceName());
		}
		return null;
	}

	@Override
	public void afterPropertiesSet() throws Exception {
		workOrderCallBackHandlerMap = context.getBeansOfType(WorkOrderCallBackHandler.class);
	}
}
