package com.cusc.nirvana.user.rnr.workorder.context;

import com.cusc.nirvana.user.rnr.workorder.handler.WorkOrderHandler;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author stayAnd
 * @date 2022/3/29
 */
@Component
public class WorkOrderContext {

	@Resource
	private Map<String,WorkOrderHandler> handlerMap;

	/**
	 * 配置
	 */
	@Value("${work.order.handler.name:internalWorkOrderHandler}")
	private String workHandlerServiceName;

	public WorkOrderHandler getHandler(){
		WorkOrderHandler handler = handlerMap.get(workHandlerServiceName);
		if (null == handler){
			//throw new CuscUserException();
		}
		return handler;
	}

}
