package com.cusc.nirvana.user.rnr.workorder.handler;

import com.cusc.nirvana.user.rnr.workorder.dto.*;

import java.util.List;

/**
 * @author stayAnd
 * @date 2022/3/29
 * 工单处理
 */
public interface WorkOrderHandler {

	/**
	 * 发起工单
	 * @param dto 请求参数
	 * @return 工单单号
	 */
	String startOrder(WorkOrderStarRequestDTO dto);

	/**
	 * 查询未认领的工单
	 * @param dto 参数
	 * @return
	 */
	List<WorkOrderInfoDTO> queryUnClaimedOrders(WorkOrderQueryRequestDTO dto);


	/**
	 * 认领工单
	 * @param dto  参数
	 * @return
	 */
	Boolean claimOrder(WorkOrderClaimRequestDTO dto);


	/**
	 * 查询认领的工单
	 * @param dto 参数
	 * @return
	 */
	List<WorkOrderInfoDTO> queryClaimedOrders(WorkOrderQueryRequestDTO dto);


	/**
	 * 审核工单
	 * @param dto 参数
	 * @return
	 */
	Boolean reviewWorkOrder(WorkOrderReviewDTO dto);


	/**
	 * 指派工单
	 * @param dto
	 * @return
	 */
	Boolean assignWorkOrder(WorkOrderAssignDTO dto);

}
